Fix #12053 by making IfaceClass typechecking more lazy.
ClosedPublic

Authored by ezyang on May 15 2016, 7:04 PM.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ezyang updated this revision to Diff 7590.May 15 2016, 7:04 PM
ezyang retitled this revision from to Fix #12053 by making IfaceClass typechecking more lazy..
ezyang updated this object.
ezyang edited the test plan for this revision. (Show Details)
ezyang added a reviewer: simonpj.
ezyang updated the Trac tickets for this revision.
simonpj accepted this revision.May 19 2016, 7:03 AM
simonpj edited edge metadata.
This revision is now accepted and ready to land.May 19 2016, 7:03 AM
bgamari requested changes to this revision.May 21 2016, 11:41 AM
bgamari edited edge metadata.

Do you think you could rebase this, @ezyang?

This revision now requires changes to proceed.May 21 2016, 11:41 AM
ezyang updated this revision to Diff 7880.Jun 6 2016, 7:04 PM
ezyang edited edge metadata.

fix ticket number

bgamari accepted this revision.Jun 8 2016, 5:27 AM
bgamari edited edge metadata.

Thanks!

This revision is now accepted and ready to land.Jun 8 2016, 5:27 AM
This revision was automatically updated to reflect the committed changes.